Page MenuHomePhabricator

Make FP_CONTRACT ON default.
ClosedPublic

Authored by scanon on Oct 30 2015, 6:45 AM.

Details

Summary

Now that we have reasonable support for FP_CONTRACT OFF, we can justify making FP_CONTRACT ON the default behavior.

Diff Detail

Repository
rL LLVM

Event Timeline

scanon updated this revision to Diff 38805.Oct 30 2015, 6:45 AM
scanon retitled this revision from to Make FP_CONTRACT ON default..
scanon updated this object.
scanon updated this revision to Diff 39205.Nov 4 2015, 7:50 AM

Additionally test contraction of compound assignment expressions.

hfinkel accepted this revision.Nov 11 2015, 11:00 AM
hfinkel edited edge metadata.

LGTM, thanks!

This revision is now accepted and ready to land.Nov 11 2015, 11:00 AM
This revision was automatically updated to reflect the committed changes.